Package org.apache.commons.beanutils.converters

## Class ConverterFacade

- java.lang.Object
- - org.apache.commons.beanutils.converters.ConverterFacade

All Implemented Interfaces:
  `Converter`

    public final class ConverterFacade
    extends java.lang.Object
    implements Converter

Provides a facade for `Converter` implementations preventing access to any public API in the implementation, other than that specified by `Converter`.

This implementation can be used to prevent registered `Converter` implementations that provide configuration options from being retrieved and modified.

Since:
  1.8.0
Version:
  $Id$

### Constructor Summary

Constructors
`ConverterFacade​(Converter converter)` Construct a converter which delegates to the specified `Converter` implementation.

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `convert​(java.lang.Class<T> type, java.lang.Object value)` Convert the input object into an output object of the specified type by delegating to the underlying `Converter` implementation.
`java.lang.String` `toString()` Provide a String representation of this facade implementation sand the underlying `Converter` it delegates to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConverterFacade

    public ConverterFacade​(Converter converter)

Construct a converter which delegates to the specified `Converter` implementation.

Parameters:
  `converter` - The converter to delegate to

### Method Detail

#### convert

    public <T> T convert​(java.lang.Class<T> type,
                         java.lang.Object value)

Convert the input object into an output object of the specified type by delegating to the underlying `Converter` implementation.

Specified by:
  `convert` in interface `Converter`
Type Parameters:
  `T` - The result type of the conversion
Parameters:
  `type` - Data type to which this value should be converted
  `value` - The input value to be converted
Returns:
  The converted value.

#### toString

    public java.lang.String toString()

Provide a String representation of this facade implementation sand the underlying `Converter` it delegates to.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  A String representation of this facade implementation sand the underlying `Converter` it delegates to